<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>预览审核文章</title>
<style type="text/css">
<!--
body { margin:0; padding:10px; width:600px; font-size:12px; background-color:#FFFFFF; }
-->
</style>
<script language="javascript" type="text/javascript">
<!--
//调出用户信息弹窗
window.onload=function(){
  var par=parent.document.getElementById("lastFrame");
  if(par!=null){
    try{
      par.style.height=document.body.offsetHeight+'px';
    }catch(err){
    }
  }
}
//-->
</script>

</head>
<body>
<div align="right"><a href="javascript:void(0)" onclick="parent.document.getElementById('lastFrame').style.display='none';return false;" style="font-size:16px">&lt; 关闭该窗口</a></div><br /><br />


<?php
if ($_GET['id'] == '' || !is_numeric($_GET['id'])) {
  die('&#73;&#68;&#21442;&#25968;&#32570;&#22833;&#25110;&#20986;&#38169;&#65292;&#35831;&#20174;<a href="./">&#39318;&#39029;</a>&#20174;&#26032;&#24320;&#22987;</body>
</html>');
}
$GLOBALS['WEATHER_DATA'] = '../../';

@ require ('../../inc/set/set.php');
@ require ('../../inc/set/set_sql.php');
@ require ('../../inc/function/confirm_power.php');
define('POWER', confirm_power());

if (POWER < 2) {
  die('该命令必须以版主以上级身份登陆！请重登陆。</body>
</html>');
}



if (!isset($sql['db_err'])) {
  db_conn();
}
if ($sql['db_err'] == '') {

  //取文章
  $result = @mysql_query('SELECT * FROM '.$sql['pref'].''.$sql['data']['承载主题文章的表名'].' WHERE id="'.$_GET['id'].'"', $db);
  $row = @mysql_fetch_assoc($result);
  @mysql_free_result($result);

  if (!empty($row['area_id'])) {
    //取栏目
    $arr_area_title = array();
    $base_title = $row['area_id'];
    $eval_title = 'area_id="'.$row['area_id'].'"';
    $area_title = '$arr_area_title[\''.$row['area_id'].'\']';
    while (strpos($base_title, '_') !== false) {
      $base_title = preg_replace('/\_\d+$/', '', $base_title);
      $eval_title .= ' OR area_id="'.$base_title.'"';
      $area_title = '$arr_area_title[\''.$base_title.'\'].\' &gt; \'.'.$area_title.'';}
    $result = @mysql_query('SELECT * FROM `'.$sql['pref'].''.$sql['data']['承载版区分类的表名'].'` WHERE '.$eval_title.'', $db);
    if (mysql_num_rows($result) > 0) {
      while ($row_area = @mysql_fetch_assoc($result)) {
        $arr_area_title[$row_area['area_id']] = ''.$row_area['area_name'].'';
        unset($row_area);
      }
    }
    @mysql_free_result($result);
    @uksort($arr_area_title, 'strnatcmp');
    @eval('$title1 = '.$area_title.';');
  }


} else {
  $err .= $sql['db_err'];
}

@mysql_close();

?>
<h5><?php echo $title1; ?></h5>
<br />
<?php echo @$row['text'], @$err; ?>
</body>
</html>